This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 152148

Summary: /proc/acpi/video/VGA/LCD/brightness write causes oops
Product: [Fedora] Fedora Reporter: Kasper Dupont <bugzilla>
Component: kernelAssignee: Dave Jones <davej>
Status: CLOSED CANTFIX QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: acpi-bugzilla, pfrields, rui.zhang, triage, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: OldNeedsRetesting bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-04 16:53:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Kasper Dupont 2005-03-25 06:20:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040922

Description of problem:
Writing to /proc/acpi/video/VGA/LCD/brightness causes oops

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.770_FC2

How reproducible:
Always

Steps to Reproduce:
1. printf 99 >/proc/acpi/video/VGA/LCD/brightness


Actual Results:  Unable to handle kernel NULL pointer dereference at virtual address 00000004
 printing eip:
dc84c823
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: tstore(U) loop nfs lockd ipt_owner iptable_filter ip_tables snd_mixer_oss snd_ali5451 snd_ac97_codec snd_pcm snd_timer snd_page_alloc snd soundcore tun md5 ipv6 autofs4 rfcomm l2cap bluetooth pcmcia yenta_socket pcmcia_core sunrpc natsemi microcode dm_mod ohci_hcd video button battery ac ext3 jbd
CPU:    0
EIP:    0060:[<dc84c823>]    Not tainted VLI
EFLAGS: 00210246   (2.6.10-1.770_FC2) 
EIP is at acpi_video_device_write_brightness+0x56/0x86 [video]
eax: 00000063   ebx: 00000063   ecx: 00000000   edx: 00000000
esi: da92d5a0   edi: 00000002   ebp: c0c91fac   esp: c0c91f78
ds: 007b   es: 007b   ss: 0068
Process bash (pid: 5234, threadinfo=c0c91000 task=c9a842b0)
Stack: 00003939 dc84fa60 c99bb080 00000002 c0161c26 c0c91fac b7d02000 c99bb080 
       fffffff7 b7d02000 c0c91000 c0161cf0 c0c91fac 00000000 00000000 00000000 
       00000001 00000002 c0103473 00000001 b7d02000 00000002 00000002 b7d02000 
Call Trace:
 [<c0161c26>] vfs_write+0xb8/0xe4
 [<c0161cf0>] sys_write+0x3c/0x62
 [<c0103473>] syscall_call+0x7/0xb
Code: 98 e3 85 c0 b9 f2 ff ff ff 75 49 c6 04 3c 00 31 c9 31 d2 89 e0 e8 1a da 98 e3 83 f8 64 89 c3 b9 f2 ff ff ff 77 2e 8b 56 1c 31 c9 <3b> 4a 04 7d 22 8b 42 08 3b 1c 88 75 14 89 da 89 f0 e8 92 f8 ff 
 


Expected Results:  LCD brightness changes

Additional info:

The computer is a Compaq Presario 2166EA. Changing brightness from the keyboard works fine under a kernel with ACPI enabled.
Comment 1 Dave Jones 2005-03-26 20:49:15 EST
what is that 'tstore' module ? Does it work if that hasn't been loaded?
Comment 2 Kasper Dupont 2005-03-28 03:49:13 EST
tstore is a file system driver. Like most of the other modules it is unrelated
to the problem. I have now reproduced the problem with as few modules as possible:

ACPI wakeup devices: 
PCI0 MDEM  LAN COM1  LID 
ACPI: (supports S0 S3 S4 S5)
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 164k freed
ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
Unable to handle kernel NULL pointer dereference at virtual address 00000004
 printing eip:
dc84c823
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: video ext3 jbd
CPU:    0
EIP:    0060:[<dc84c823>]    Not tainted VLI
EFLAGS: 00010246   (2.6.10-1.770_FC2) 
EIP is at acpi_video_device_write_brightness+0x56/0x86 [video]
eax: 00000063   ebx: 00000063   ecx: 00000000   edx: 00000000
esi: dac52520   edi: 00000002   ebp: db10cfac   esp: db10cf78
ds: 007b   es: 007b   ss: 0068
Process bash (pid: 562, threadinfo=db10c000 task=dbd50c10)
Stack: 00003939 dc84fa60 dac37b80 00000002 c0161c26 db10cfac b7f1f000 dac37b80 
       fffffff7 b7f1f000 db10c000 c0161cf0 db10cfac 00000000 00000000 00000000 
       00000001 00000002 c0103473 00000001 b7f1f000 00000002 00000002 b7f1f000 
Call Trace:
 [<c0161c26>] vfs_write+0xb8/0xe4
 [<c0161cf0>] sys_write+0x3c/0x62
 [<c0103473>] syscall_call+0x7/0xb
Code: 98 e3 85 c0 b9 f2 ff ff ff 75 49 c6 04 3c 00 31 c9 31 d2 89 e0 e8 1a da 98
e3 83 f8 64 89 c3 b9 f2 ff ff ff 77 2e 8b 56 1c 31 c9 <3b> 4a 04 7d 22 8b 42 08
3b 1c 88 75 14 89 da 89 f0 e8 92 f8 ff 
Comment 3 Dave Jones 2005-04-16 00:46:01 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 4 Kasper Dupont 2005-09-01 03:30:41 EDT
With kernel-2.6.12-1.1447_FC4 this cause a panic.
Comment 5 Dave Jones 2005-09-30 02:54:48 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 6 Kasper Dupont 2005-09-30 07:34:03 EDT
Still panics with kernel-2.6.13-1.1526_FC4
Comment 7 Russell Strong 2005-10-30 03:44:02 EST
echo 50 > brightness

with 2.6.13-1.1532_FC4, on Toshiba Tecra S2 causes shell to close and no change
in LCD brightness
Comment 8 Russell Strong 2005-10-30 03:56:39 EST
More on my previous comment.  I check /var/log/messages and found an oops.  It
is tainted (nvidia).  Let me know if you would like me to try it again without
the nvidia module.

Oct 30 18:43:47 tecra su(pam_unix)[3079]: session opened for user root by (uid=500)
Oct 30 18:43:55 tecra kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Oct 30 18:43:55 tecra kernel:  printing eip:
Oct 30 18:43:55 tecra kernel: f8ac479b
Oct 30 18:43:55 tecra kernel: *pde = 00000000
Oct 30 18:43:55 tecra kernel: Oops: 0000 [#2]
Oct 30 18:43:55 tecra kernel: Modules linked in: nvidia(U) parport_pc lp parport
autofs4 rfcomm l2cap bluetooth sunrpc arc4 ieee80211_crypt_wep ipt_REJECT
ipt_state ip_conntrack iptable_filter ip_tables vfat fat dm_mod video button
battery ac ohci1394 ieee1394 yenta_socket rsrc_nonstatic pcmcia_core uhci_hcd
ehci_hcd shpchp snd_intel8x0m i2c_i801 i2c_core snd_intel8x0 snd_ac97_codec
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc sk98lin ipw2200
ieee80211 ieee80211_crypt joydev ext3 jbd ata_piix libata sd_mod scsi_mod
Oct 30 18:43:55 tecra kernel: CPU:    0
Oct 30 18:43:55 tecra kernel: EIP:    0060:[<f8ac479b>]    Tainted: P      VLI
Oct 30 18:43:55 tecra kernel: EFLAGS: 00210293   (2.6.13-1.1532_FC4)
Oct 30 18:43:55 tecra kernel: EIP is at
acpi_video_device_write_brightness+0x44/0x84 [video]
Oct 30 18:43:55 tecra kernel: eax: 00000032   ebx: 00000032   ecx: 00000000  
edx: 0000000a
Oct 30 18:43:55 tecra su(pam_unix)[3079]: session closed for user root
Oct 30 18:43:55 tecra kernel: esi: f7479200   edi: b7fad000   ebp: 00000003  
esp: f6a56f70
Oct 30 18:43:55 tecra kernel: ds: 007b   es: 007b   ss: 0068
Oct 30 18:43:55 tecra kernel: Process bash (pid: 3082, threadinfo=f6a56000
task=f05fcaa0)
Oct 30 18:43:55 tecra kernel: Stack: badc0ded 000a3035 f05e6840 00000003
b7fad000 f8ac4757 c01a1017 f6a56fa4
Oct 30 18:43:56 tecra kernel:        f05e6840 fffffff7 b7fad000 f6a56000
c01a117a f6a56fa4 00000000 00000000
Oct 30 18:43:56 tecra kernel:        00000000 00000001 00000003 c0104465
00000001 b7fad000 00000003 00000003
Oct 30 18:43:56 tecra kernel: Call Trace:
Oct 30 18:43:56 tecra kernel:  [<f8ac4757>]
acpi_video_device_write_brightness+0x0/0x84 [video]
Oct 30 18:43:56 tecra kernel:  [<c01a1017>] vfs_write+0xa2/0x15a
Oct 30 18:43:56 tecra kernel:  [<c01a117a>] sys_write+0x41/0x6a
Oct 30 18:43:56 tecra kernel:  [<c0104465>] syscall_call+0x7/0xb
Oct 30 18:43:56 tecra kernel: Code: 41 01 83 f8 04 77 50 89 e0 e8 0a 99 79 c7 85
c0 75 4c c6 04 2c 00 31 c9 31 d2 89 e0 e8 8f 7d 79 c7 89 c3 83 f8 64 77 36 8b 4e
1c <8b> 79 04 31 d2 eb 1d 8b 41 08 3b 1c 90 75 14 89 da 89 f0 e8 0a
Comment 9 Kasper Dupont 2005-10-30 07:13:07 EST
The problem is not Fedora Core specific. It also happens on a Dell Inspiron 8200
running Sourcemage with kernel version 2.6.13.
Comment 10 Dave Jones 2005-11-10 15:01:41 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 11 Kasper Dupont 2005-11-10 18:31:44 EST
Still panics with 2.6.14-1.1637_FC4
Comment 12 Len Brown 2006-01-18 01:55:11 EST
this may be fixed in 2.6.15, can you try FC5-T2?
Comment 13 Dave Jones 2006-01-19 02:42:48 EST
theres also a 2.6.15 update in the updates-testing repo for fc4.
Comment 14 Kasper Dupont 2006-01-20 05:22:11 EST
On kernel-2.6.15-1.1824_FC4 I have not been able to reproduce the Oops. Now
writes to /proc/acpi/video/VGA/LCD/brightness just result in EINVAL. I would
have expected it to change the brightness.
Comment 15 Dave Jones 2006-02-03 00:53:34 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 16 Kasper Dupont 2006-02-03 03:30:46 EST
kernel-2.6.14-1.1637_FC4 and earlier crash. 2.6.14-1.1656_FC4 and later just
return EINVAL. Is EINVAL correct behaviour? I would expect it to change the
brightness.
Comment 17 Dave Jones 2006-09-16 22:50:51 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 18 Dave Jones 2006-10-16 15:01:33 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 19 Kasper Dupont 2006-10-30 00:24:11 EST
With 2.6.18-1.2200.fc5 I get -EINVAL. I expected the brightness to change.
Comment 20 Kasper Dupont 2006-10-30 00:30:32 EST
Why is status still NEEDINFO? I have retested with FC5.
Comment 21 Dave Jones 2006-11-21 18:17:49 EST
what do you get when you cat that file on that system ?
Comment 22 Kasper Dupont 2006-12-17 19:18:20 EST
cat /proc/acpi/video/VGA/LCD/brightness
<not supported>

How am I supposed to interpret that? The kernel does change the brightness when
I press the brightness keys on the keyboard.
Comment 23 petrosyan 2008-03-10 19:28:49 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 24 Jon Stanley 2008-03-31 14:31:14 EDT
Removing NeedsRetesting from whiteboard so we can repurpose it.
Comment 25 Kasper Dupont 2008-03-31 16:46:44 EDT
I no longer have the machine where I was able to reproduce this bug.
Comment 26 Zhang Rui 2008-04-01 03:05:00 EDT
Hmm, I think this bug can be closed now.
Comment 27 Bug Zapper 2008-04-03 21:54:51 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers